#include <config.h>
#include <gnome.h>

gchar*
path_from_pixmap_file (const gchar *filename)
{
        gchar *path = NULL;

        path = g_strjoin ("/", PIXMAPDIR_INST, filename, NULL);

        if (access (path, R_OK) != 0)
        {
                  g_free (path);

                  path = g_strjoin ("/", PIXMAPDIR_UNINST, filename, NULL);
        }

        if (access (path, R_OK) != 0)
        {
                g_free (path);

                path = NULL;
                g_warning ("pixmap file %s not found !\n", filename);
        }

        return path;
}

GtkWidget*
gtk_image_new_from_pixmap_file (const gchar *filename)
{
        gchar *path = NULL;
        GtkWidget *image = NULL;

        if (filename == NULL)
	{
		return NULL;
	}

        path = path_from_pixmap_file (filename);
        /* g_warning ("Loading pixmap from path %s\n", path); */

        image = gtk_image_new_from_file (path);
        g_free (path);

        return image;
}

void
gtk_image_set_from_pixmap_file (GtkImage *image, const gchar *filename)
{
	gchar *path;

	if (filename == NULL)
	{
		return;
	}

	path = path_from_pixmap_file (filename);

	gtk_image_set_from_file (image, path);
	g_free (path);
}
